Interface CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder
-
- All Superinterfaces:
org.apache.camel.builder.EndpointConsumerBuilder,org.apache.camel.EndpointConsumerResolver
- All Known Subinterfaces:
CxfRsEndpointBuilderFactory.CxfRsEndpointBuilder
- Enclosing interface:
- CxfRsEndpointBuilderFactory
public static interface CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder extends org.apache.camel.builder.EndpointConsumerBuilderBuilder for endpoint consumers for the CXF-RS component.
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default CxfRsEndpointBuilderFactory.AdvancedCxfRsEndpointConsumerBuilderadvanced()default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderbindingStyle(String bindingStyle)Sets how requests and responses will be mapped to/from Camel.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderbindingStyle(CxfRsEndpointBuilderFactory.BindingStyle bindingStyle)Sets how requests and responses will be mapped to/from Camel.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderbridgeErrorHandler(boolean bridgeErrorHandler)Allows for bridging the consumer to the Camel routing Error Handler, which mean any exceptions occurred while the consumer is trying to pickup incoming messages, or the likes, will now be processed as a message and handled by the routing Error Handler.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderbridgeErrorHandler(String bridgeErrorHandler)Allows for bridging the consumer to the Camel routing Error Handler, which mean any exceptions occurred while the consumer is trying to pickup incoming messages, or the likes, will now be processed as a message and handled by the routing Error Handler.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderfeatures(String features)Set the feature list to the CxfRs endpoint.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderfeatures(List<Object> features)Set the feature list to the CxfRs endpoint.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderloggingFeatureEnabled(boolean loggingFeatureEnabled)This option enables CXF Logging Feature which writes inbound and outbound REST messages to log.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderloggingFeatureEnabled(String loggingFeatureEnabled)This option enables CXF Logging Feature which writes inbound and outbound REST messages to log.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderloggingSizeLimit(int loggingSizeLimit)To limit the total size of number of bytes the logger will output when logging feature has been enabled.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderloggingSizeLimit(String loggingSizeLimit)To limit the total size of number of bytes the logger will output when logging feature has been enabled.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuildermodelRef(String modelRef)This option is used to specify the model file which is useful for the resource class without annotation.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderproviders(String providers)Set custom JAX-RS provider(s) list to the CxfRs endpoint.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderproviders(List<Object> providers)Set custom JAX-RS provider(s) list to the CxfRs endpoint.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderpublishedEndpointUrl(String publishedEndpointUrl)This option can override the endpointUrl that published from the WADL which can be accessed with resource address url plus _wadl.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderresourceClasses(String resourceClasses)The resource classes which you want to export as REST service.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderresourceClasses(List<Class<Object>> resourceClasses)The resource classes which you want to export as REST service.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderschemaLocations(String schemaLocations)Sets the locations of the schema(s) which can be used to validate the incoming XML or JAXB-driven JSON.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderschemaLocations(List<String> schemaLocations)Sets the locations of the schema(s) which can be used to validate the incoming XML or JAXB-driven JSON.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderskipFaultLogging(boolean skipFaultLogging)This option controls whether the PhaseInterceptorChain skips logging the Fault that it catches.default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilderskipFaultLogging(String skipFaultLogging)This option controls whether the PhaseInterceptorChain skips logging the Fault that it catches.
-
-
-
Method Detail
-
advanced
default CxfRsEndpointBuilderFactory.AdvancedCxfRsEndpointConsumerBuilder advanced()
-
features
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder features(List<Object> features)
Set the feature list to the CxfRs endpoint. The option is a: <code>java.util.List<org.apache.cxf.feature.Feature></code> type. Group: common- Parameters:
features- the value to set- Returns:
- the dsl builder
-
features
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder features(String features)
Set the feature list to the CxfRs endpoint. The option will be converted to a <code>java.util.List<org.apache.cxf.feature.Feature></code> type. Group: common- Parameters:
features- the value to set- Returns:
- the dsl builder
-
loggingFeatureEnabled
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder loggingFeatureEnabled(boolean loggingFeatureEnabled)
This option enables CXF Logging Feature which writes inbound and outbound REST messages to log. The option is a: <code>boolean</code> type. Default: false Group: common- Parameters:
loggingFeatureEnabled- the value to set- Returns:
- the dsl builder
-
loggingFeatureEnabled
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder loggingFeatureEnabled(String loggingFeatureEnabled)
This option enables CXF Logging Feature which writes inbound and outbound REST messages to log. The option will be converted to a <code>boolean</code> type. Default: false Group: common- Parameters:
loggingFeatureEnabled- the value to set- Returns:
- the dsl builder
-
loggingSizeLimit
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder loggingSizeLimit(int loggingSizeLimit)
To limit the total size of number of bytes the logger will output when logging feature has been enabled. The option is a: <code>int</code> type. Group: common- Parameters:
loggingSizeLimit- the value to set- Returns:
- the dsl builder
-
loggingSizeLimit
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder loggingSizeLimit(String loggingSizeLimit)
To limit the total size of number of bytes the logger will output when logging feature has been enabled. The option will be converted to a <code>int</code> type. Group: common- Parameters:
loggingSizeLimit- the value to set- Returns:
- the dsl builder
-
modelRef
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder modelRef(String modelRef)
This option is used to specify the model file which is useful for the resource class without annotation. When using this option, then the service class can be omitted, to emulate document-only endpoints. The option is a: <code>java.lang.String</code> type. Group: common- Parameters:
modelRef- the value to set- Returns:
- the dsl builder
-
providers
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder providers(List<Object> providers)
Set custom JAX-RS provider(s) list to the CxfRs endpoint. You can specify a string with a list of providers to lookup in the registy separated by comma. The option is a: <code>java.util.List<java.lang.Object></code> type. Group: common- Parameters:
providers- the value to set- Returns:
- the dsl builder
-
providers
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder providers(String providers)
Set custom JAX-RS provider(s) list to the CxfRs endpoint. You can specify a string with a list of providers to lookup in the registy separated by comma. The option will be converted to a <code>java.util.List<java.lang.Object></code> type. Group: common- Parameters:
providers- the value to set- Returns:
- the dsl builder
-
resourceClasses
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder resourceClasses(List<Class<Object>> resourceClasses)
The resource classes which you want to export as REST service. Multiple classes can be separated by comma. The option is a: <code>java.util.List<java.lang.Class<java.lang.Object>></code> type. Group: common- Parameters:
resourceClasses- the value to set- Returns:
- the dsl builder
-
resourceClasses
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder resourceClasses(String resourceClasses)
The resource classes which you want to export as REST service. Multiple classes can be separated by comma. The option will be converted to a <code>java.util.List<java.lang.Class<java.lang.Object>></code> type. Group: common- Parameters:
resourceClasses- the value to set- Returns:
- the dsl builder
-
schemaLocations
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder schemaLocations(List<String> schemaLocations)
Sets the locations of the schema(s) which can be used to validate the incoming XML or JAXB-driven JSON. The option is a: <code>java.util.List<java.lang.String></code> type. Group: common- Parameters:
schemaLocations- the value to set- Returns:
- the dsl builder
-
schemaLocations
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder schemaLocations(String schemaLocations)
Sets the locations of the schema(s) which can be used to validate the incoming XML or JAXB-driven JSON. The option will be converted to a <code>java.util.List<java.lang.String></code> type. Group: common- Parameters:
schemaLocations- the value to set- Returns:
- the dsl builder
-
skipFaultLogging
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder skipFaultLogging(boolean skipFaultLogging)
This option controls whether the PhaseInterceptorChain skips logging the Fault that it catches. The option is a: <code>boolean</code> type. Default: false Group: common- Parameters:
skipFaultLogging- the value to set- Returns:
- the dsl builder
-
skipFaultLogging
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder skipFaultLogging(String skipFaultLogging)
This option controls whether the PhaseInterceptorChain skips logging the Fault that it catches. The option will be converted to a <code>boolean</code> type. Default: false Group: common- Parameters:
skipFaultLogging- the value to set- Returns:
- the dsl builder
-
bindingStyle
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder bindingStyle(CxfRsEndpointBuilderFactory.BindingStyle bindingStyle)
Sets how requests and responses will be mapped to/from Camel. Two values are possible: SimpleConsumer: This binding style processes request parameters, multiparts, etc. and maps them to IN headers, IN attachments and to the message body. It aims to eliminate low-level processing of org.apache.cxf.message.MessageContentsList. It also also adds more flexibility and simplicity to the response mapping. Only available for consumers. Default: The default style. For consumers this passes on a MessageContentsList to the route, requiring low-level processing in the route. This is the traditional binding style, which simply dumps the org.apache.cxf.message.MessageContentsList coming in from the CXF stack onto the IN message body. The user is then responsible for processing it according to the contract defined by the JAX-RS method signature. Custom: allows you to specify a custom binding through the binding option. The option is a: <code>org.apache.camel.component.cxf.jaxrs.BindingStyle</code> type. Default: Default Group: consumer- Parameters:
bindingStyle- the value to set- Returns:
- the dsl builder
-
bindingStyle
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder bindingStyle(String bindingStyle)
Sets how requests and responses will be mapped to/from Camel. Two values are possible: SimpleConsumer: This binding style processes request parameters, multiparts, etc. and maps them to IN headers, IN attachments and to the message body. It aims to eliminate low-level processing of org.apache.cxf.message.MessageContentsList. It also also adds more flexibility and simplicity to the response mapping. Only available for consumers. Default: The default style. For consumers this passes on a MessageContentsList to the route, requiring low-level processing in the route. This is the traditional binding style, which simply dumps the org.apache.cxf.message.MessageContentsList coming in from the CXF stack onto the IN message body. The user is then responsible for processing it according to the contract defined by the JAX-RS method signature. Custom: allows you to specify a custom binding through the binding option. The option will be converted to a <code>org.apache.camel.component.cxf.jaxrs.BindingStyle</code> type. Default: Default Group: consumer- Parameters:
bindingStyle- the value to set- Returns:
- the dsl builder
-
bridgeErrorHandler
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder bridgeErrorHandler(boolean bridgeErrorHandler)
Allows for bridging the consumer to the Camel routing Error Handler, which mean any exceptions occurred while the consumer is trying to pickup incoming messages, or the likes, will now be processed as a message and handled by the routing Error Handler. By default the consumer will use the org.apache.camel.spi.ExceptionHandler to deal with exceptions, that will be logged at WARN or ERROR level and ignored. The option is a: <code>boolean</code> type. Default: false Group: consumer- Parameters:
bridgeErrorHandler- the value to set- Returns:
- the dsl builder
-
bridgeErrorHandler
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder bridgeErrorHandler(String bridgeErrorHandler)
Allows for bridging the consumer to the Camel routing Error Handler, which mean any exceptions occurred while the consumer is trying to pickup incoming messages, or the likes, will now be processed as a message and handled by the routing Error Handler. By default the consumer will use the org.apache.camel.spi.ExceptionHandler to deal with exceptions, that will be logged at WARN or ERROR level and ignored. The option will be converted to a <code>boolean</code> type. Default: false Group: consumer- Parameters:
bridgeErrorHandler- the value to set- Returns:
- the dsl builder
-
publishedEndpointUrl
default CxfRsEndpointBuilderFactory.CxfRsEndpointConsumerBuilder publishedEndpointUrl(String publishedEndpointUrl)
This option can override the endpointUrl that published from the WADL which can be accessed with resource address url plus _wadl. The option is a: <code>java.lang.String</code> type. Group: consumer- Parameters:
publishedEndpointUrl- the value to set- Returns:
- the dsl builder
-
-